*

Sil68

  • *
  • 36
Re: osdate2.5.4 and 2.6 now fix install on Php 5.2 / Php 5.3 and PHP 5.4
« Reply #15 on: January 22, 2014, 06:50:59 AM »
It's for osDate 2.6, with the patches applied as published shortly before xmas time.
Apache 2.2.22
php-fpm / php  5.4.4-14
MySQL 5.5.31
Debian GNU/Linux 7.0 Wheezy
osDate 2.6

*

marcam

  • ****
  • 267
Re: osdate2.5.4 and 2.6 now fix install on Php 5.2 / Php 5.3 and PHP 5.4
« Reply #16 on: January 26, 2014, 10:00:14 PM »
please try with this ini.php please


marc
osdate 2.5.4
Flashchat 4.7
php 5.2.7

*

CBG

  • *****
  • 673
    • osDate Forum
Re: osdate2.5.4 and 2.6 now fix install on Php 5.2 / Php 5.3 and PHP 5.4
« Reply #17 on: January 26, 2014, 10:02:47 PM »
Marc,

I sent you a Private Message did you get it, as your email box was full.
Regards,
CBG (Garry)
osDate: 2.6.5, 2.7 & Evo
PHP: 5.5.x/5.6.x (5.3.x to 5.6.x) | MySQL: 5.5.34-cll

*

Sil68

  • *
  • 36
Re: osdate2.5.4 and 2.6 now fix install on Php 5.2 / Php 5.3 and PHP 5.4
« Reply #18 on: January 27, 2014, 12:58:45 PM »
please try with this ini.php please


marc

I'm afraid, it's to no avail, still the same behaviour ("white screen of death"). :(
Apache 2.2.22
php-fpm / php  5.4.4-14
MySQL 5.5.31
Debian GNU/Linux 7.0 Wheezy
osDate 2.6

Re: osdate2.5.4 and 2.6 now fix install on Php 5.2 / Php 5.3 and PHP 5.4
« Reply #19 on: February 24, 2014, 04:47:49 AM »
It is nice to be back to OsDate after being away for a few years. This patch worked perfect so far and no errors showing.  :)

*

Sil68

  • *
  • 36
Re: osdate2.5.4 and 2.6 now fix install on Php 5.2 / Php 5.3 and PHP 5.4
« Reply #20 on: February 24, 2014, 08:27:11 PM »
It is nice to be back to OsDate after being away for a few years. This patch worked perfect so far and no errors showing.  :)

Can you send me the patch(es) you've applied? Which version of osDate? 2.6?
Apache 2.2.22
php-fpm / php  5.4.4-14
MySQL 5.5.31
Debian GNU/Linux 7.0 Wheezy
osDate 2.6

*

CBG

  • *****
  • 673
    • osDate Forum
Re: osdate2.5.4 and 2.6 now fix install on Php 5.2 / Php 5.3 and PHP 5.4
« Reply #21 on: February 25, 2014, 04:35:20 PM »
Can you send me the patch(es) you've applied? Which version of osDate? 2.6?
It on the first page, first post, there is 2 attachments on it, for 2.5.4 and one for 2.6, as indicated.
Regards,
CBG (Garry)
osDate: 2.6.5, 2.7 & Evo
PHP: 5.5.x/5.6.x (5.3.x to 5.6.x) | MySQL: 5.5.34-cll

*

Sil68

  • *
  • 36
Re: osdate2.5.4 and 2.6 now fix install on Php 5.2 / Php 5.3 and PHP 5.4
« Reply #22 on: February 26, 2014, 07:07:34 AM »
Can you send me the patch(es) you've applied? Which version of osDate? 2.6?
It on the first page, first post, there is 2 attachments on it, for 2.5.4 and one for 2.6, as indicated.

I've just re-downloaded osDate v2.6 and the fixes/patches indicated, applied the latter ones and run the setup, which finished successfully.

But when trying to opening the site I'm receiving WSOD and no hint whatsoever in any of the log files (apache error log, php-fpm log).
Apache 2.2.22
php-fpm / php  5.4.4-14
MySQL 5.5.31
Debian GNU/Linux 7.0 Wheezy
osDate 2.6

*

Sil68

  • *
  • 36
Re: osdate2.5.4 and 2.6 now fix install on Php 5.2 / Php 5.3 and PHP 5.4
« Reply #23 on: March 01, 2014, 05:41:37 PM »
When digging into osDate 2.6 with the fixes applied via the XDebug/MacGDBp route, the WSOD (white screen of death) appears to be caused somewhere between line 160 and 168 in init.php ("/* Select country based on IP of the visiting user */").
Apache 2.2.22
php-fpm / php  5.4.4-14
MySQL 5.5.31
Debian GNU/Linux 7.0 Wheezy
osDate 2.6

*

Sil68

  • *
  • 36
Re: osdate2.5.4 and 2.6 now fix install on Php 5.2 / Php 5.3 and PHP 5.4
« Reply #24 on: March 01, 2014, 05:51:32 PM »
When digging into osDate 2.6 with the fixes applied via the XDebug/MacGDBp route, the WSOD (white screen of death) appears to be caused somewhere between line 160 and 168 in init.php ("/* Select country based on IP of the visiting user */").
Actually it's line 170
Code: [Select]
$_SESSION['iplocation'] = getIPLocation($ipaddr);
Apache 2.2.22
php-fpm / php  5.4.4-14
MySQL 5.5.31
Debian GNU/Linux 7.0 Wheezy
osDate 2.6

*

Sil68

  • *
  • 36
Re: osdate2.5.4 and 2.6 now fix install on Php 5.2 / Php 5.3 and PHP 5.4
« Reply #25 on: March 01, 2014, 05:57:32 PM »
Within Functions.php

Code: [Select]
include(GEOIPDATA_DIR."geoipcity.inc");
(line 1362) is causing the WSOD.

From there it leading on further to line 33 of geoip/geoipcity.inc (
Code: [Select]
require_once 'geoip.inc';
)

An this is exactly where things are coming to a halt (I can't even step into geoip.inc!) and the WSOD is appearing. :(
« Last Edit: March 01, 2014, 06:06:44 PM by Sil68 »
Apache 2.2.22
php-fpm / php  5.4.4-14
MySQL 5.5.31
Debian GNU/Linux 7.0 Wheezy
osDate 2.6

*

Sil68

  • *
  • 36
Re: osdate2.5.4 and 2.6 now fix install on Php 5.2 / Php 5.3 and PHP 5.4
« Reply #26 on: March 02, 2014, 09:27:41 AM »
From there it leading on further to line 33 of geoip/geoipcity.inc (
Code: [Select]
require_once 'geoip.inc';
)

An this is exactly where things are coming to a halt (I can't even step into geoip.inc!) and the WSOD is appearing. :(

Is there anything I can apply as a remedy to this? Maybe some php.ini settings?
Apache 2.2.22
php-fpm / php  5.4.4-14
MySQL 5.5.31
Debian GNU/Linux 7.0 Wheezy
osDate 2.6

*

CBG

  • *****
  • 673
    • osDate Forum
osdate2.5.4 and 2.6 now fix install on Php 5.2 / Php 5.3 and PHP 5.4
« Reply #27 on: March 02, 2014, 09:36:32 AM »
Hi,

As we don't know what is causing geoip.inc to stop, it could be hard to pin point the issue.

What PHP and osDate version?
What is your  hosting environment (Linux or Windows)?
Who is your hosting provider?

It s important to answer these questions

You could remove geoip from the script but it is in a few files.
Regards,
CBG (Garry)
osDate: 2.6.5, 2.7 & Evo
PHP: 5.5.x/5.6.x (5.3.x to 5.6.x) | MySQL: 5.5.34-cll

*

Sil68

  • *
  • 36
Re: osdate2.5.4 and 2.6 now fix install on Php 5.2 / Php 5.3 and PHP 5.4
« Reply #28 on: March 02, 2014, 09:59:47 AM »
Hi,

As we don't know what is causing geoip.inc to stop, it could be hard to pin point the issue.

What PHP and osDate version?
What is your  hosting environment (Linux or Windows)?
Who is your hosting provider?

It s important to answer these questions

You could remove geoip from the script but it is in a few files.

I'm using osDate v2.6, self-hosting, and all the other information you've asked for are in my signature.
Apache 2.2.22
php-fpm / php  5.4.4-14
MySQL 5.5.31
Debian GNU/Linux 7.0 Wheezy
osDate 2.6

*

CBG

  • *****
  • 673
    • osDate Forum
Re: osdate2.5.4 and 2.6 now fix install on Php 5.2 / Php 5.3 and PHP 5.4
« Reply #29 on: March 02, 2014, 10:25:48 AM »
What are your error logs telling you?
Is it saying what you put above
« Last Edit: March 02, 2014, 10:28:11 AM by CBG »
Regards,
CBG (Garry)
osDate: 2.6.5, 2.7 & Evo
PHP: 5.5.x/5.6.x (5.3.x to 5.6.x) | MySQL: 5.5.34-cll